/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRECOUTI                                                 */
/* Tabela : PRECOUTI                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 06/04/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRECOUTI
BEFORE INSERT OR UPDATE OR DELETE
ON PRECOUTI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPRUT := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.VRPEADPBASE,0) <> NVL(:NEW.VRPEADPBASE,0)) OR
         (NVL(:OLD.CDMODPGTO  ,0) <> NVL(:NEW.CDMODPGTO  ,0)) THEN
         :NEW.DTULTATUPRUT := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRECOUTI','', 'NRSEQPREUTI='||:OLD.NRSEQPREUTI||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRECOUTI MODIFY DTULTATUPRUT DEFAULT SYSDATE
/

